"""autogenerated by genpy from motors/set_motors.msg. Do not edit."""
import sys
python3 = True if sys.hexversion > 0x03000000 else False
import genpy
import struct

import std_msgs.msg

class set_motors(genpy.Message):
  _md5sum = "f02654877538da4927e256db9c3d8c6b"
  _type = "motors/set_motors"
  _has_header = True #flag to mark the presence of a Header object
  _full_text = """Header header

# Set these to true if the motor should be updated
bool fl_set
bool fr_set
bool bl_set
bool br_set

# The absolute motor speeds to set (-128 to 127)
# TODO check that this is the correct range
int8 fl_speed
int8 fr_speed
int8 bl_speed
int8 br_speed

================================================================================
MSG: std_msgs/Header
# Standard metadata for higher-level stamped data types.
# This is generally used to communicate timestamped data 
# in a particular coordinate frame.
# 
# sequence ID: consecutively increasing ID 
uint32 seq
#Two-integer timestamp that is expressed as:
# * stamp.secs: seconds (stamp_secs) since epoch
# * stamp.nsecs: nanoseconds since stamp_secs
# time-handling sugar is provided by the client library
time stamp
#Frame this data is associated with
# 0: no frame
# 1: global frame
string frame_id

"""
  __slots__ = ['header','fl_set','fr_set','bl_set','br_set','fl_speed','fr_speed','bl_speed','br_speed']
  _slot_types = ['std_msgs/Header','bool','bool','bool','bool','int8','int8','int8','int8']

  def __init__(self, *args, **kwds):
    """
    Constructor. Any message fields that are implicitly/explicitly
    set to None will be assigned a default value. The recommend
    use is keyword arguments as this is more robust to future message
    changes.  You cannot mix in-order arguments and keyword arguments.

    The available fields are:
       header,fl_set,fr_set,bl_set,br_set,fl_speed,fr_speed,bl_speed,br_speed

    :param args: complete set of field values, in .msg order
    :param kwds: use keyword arguments corresponding to message field names
    to set specific fields.
    """
    if args or kwds:
      super(set_motors, self).__init__(*args, **kwds)
      #message fields cannot be None, assign default values for those that are
      if self.header is None:
        self.header = std_msgs.msg.Header()
      if self.fl_set is None:
        self.fl_set = False
      if self.fr_set is None:
        self.fr_set = False
      if self.bl_set is None:
        self.bl_set = False
      if self.br_set is None:
        self.br_set = False
      if self.fl_speed is None:
        self.fl_speed = 0
      if self.fr_speed is None:
        self.fr_speed = 0
      if self.bl_speed is None:
        self.bl_speed = 0
      if self.br_speed is None:
        self.br_speed = 0
    else:
      self.header = std_msgs.msg.Header()
      self.fl_set = False
      self.fr_set = False
      self.bl_set = False
      self.br_set = False
      self.fl_speed = 0
      self.fr_speed = 0
      self.bl_speed = 0
      self.br_speed = 0

  def _get_types(self):
    """
    internal API method
    """
    return self._slot_types

  def serialize(self, buff):
    """
    serialize message into buffer
    :param buff: buffer, ``StringIO``
    """
    try:
      _x = self
      buff.write(_struct_3I.pack(_x.header.seq, _x.header.stamp.secs, _x.header.stamp.nsecs))
      _x = self.header.frame_id
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.pack('<I%ss'%length, length, _x))
      _x = self
      buff.write(_struct_4B4b.pack(_x.fl_set, _x.fr_set, _x.bl_set, _x.br_set, _x.fl_speed, _x.fr_speed, _x.bl_speed, _x.br_speed))
    except struct.error as se: self._check_types(se)
    except TypeError as te: self._check_types(te)

  def deserialize(self, str):
    """
    unpack serialized message in str into this message instance
    :param str: byte array of serialized message, ``str``
    """
    try:
      if self.header is None:
        self.header = std_msgs.msg.Header()
      end = 0
      _x = self
      start = end
      end += 12
      (_x.header.seq, _x.header.stamp.secs, _x.header.stamp.nsecs,) = _struct_3I.unpack(str[start:end])
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.header.frame_id = str[start:end].decode('utf-8')
      else:
        self.header.frame_id = str[start:end]
      _x = self
      start = end
      end += 8
      (_x.fl_set, _x.fr_set, _x.bl_set, _x.br_set, _x.fl_speed, _x.fr_speed, _x.bl_speed, _x.br_speed,) = _struct_4B4b.unpack(str[start:end])
      self.fl_set = bool(self.fl_set)
      self.fr_set = bool(self.fr_set)
      self.bl_set = bool(self.bl_set)
      self.br_set = bool(self.br_set)
      return self
    except struct.error as e:
      raise genpy.DeserializationError(e) #most likely buffer underfill


  def serialize_numpy(self, buff, numpy):
    """
    serialize message with numpy array types into buffer
    :param buff: buffer, ``StringIO``
    :param numpy: numpy python module
    """
    try:
      _x = self
      buff.write(_struct_3I.pack(_x.header.seq, _x.header.stamp.secs, _x.header.stamp.nsecs))
      _x = self.header.frame_id
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.pack('<I%ss'%length, length, _x))
      _x = self
      buff.write(_struct_4B4b.pack(_x.fl_set, _x.fr_set, _x.bl_set, _x.br_set, _x.fl_speed, _x.fr_speed, _x.bl_speed, _x.br_speed))
    except struct.error as se: self._check_types(se)
    except TypeError as te: self._check_types(te)

  def deserialize_numpy(self, str, numpy):
    """
    unpack serialized message in str into this message instance using numpy for array types
    :param str: byte array of serialized message, ``str``
    :param numpy: numpy python module
    """
    try:
      if self.header is None:
        self.header = std_msgs.msg.Header()
      end = 0
      _x = self
      start = end
      end += 12
      (_x.header.seq, _x.header.stamp.secs, _x.header.stamp.nsecs,) = _struct_3I.unpack(str[start:end])
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.header.frame_id = str[start:end].decode('utf-8')
      else:
        self.header.frame_id = str[start:end]
      _x = self
      start = end
      end += 8
      (_x.fl_set, _x.fr_set, _x.bl_set, _x.br_set, _x.fl_speed, _x.fr_speed, _x.bl_speed, _x.br_speed,) = _struct_4B4b.unpack(str[start:end])
      self.fl_set = bool(self.fl_set)
      self.fr_set = bool(self.fr_set)
      self.bl_set = bool(self.bl_set)
      self.br_set = bool(self.br_set)
      return self
    except struct.error as e:
      raise genpy.DeserializationError(e) #most likely buffer underfill

_struct_I = genpy.struct_I
_struct_3I = struct.Struct("<3I")
_struct_4B4b = struct.Struct("<4B4b")
