/**
 * Copyright (c) 2011 Colony Project
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

/**
 * @file sonar.h
 * @brief Contains sonar declarations and functions
 * 
 * Contains functions and definitions for the use of
 * sonar
 *
 * @author Colony Project, CMU Robotics Club
 * @author Alex Zirbel
 **/

#ifndef _SONAR_H_
#define _SONAR_H_

/** Initialize the sonar module and drivers **/
void sonar_init(void);

/** Responds to sonar on/off requests. */
bool handle_sonar_toggle(sonar::sonar_toggle::Request  &req,
                         sonar::sonar_toggle::Response &res)

/** Responds to requests which set the scan range. */
bool handle_sonar_set_scan(sonar::sonar_set_scan::Request  &req,
                           sonar::sonar_set_scan::Response &res)

#endif
