/**
 * Copyright (c) 2011 Colony Project
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

/**
 * @file usb_serial.h
 * @brief Contains USB/Serial declarations and functions
 * 
 * Contains functions and definitions for the use of
 * USB/Serial.
 *
 * @author Lalitha Ganesan
 * @author Alex Zirbel
 **/

#ifndef _USB_SERIAL_H_
#define _USB_SERIAL_H_

#define QUEUE_SIZE 10

#include "usb_serial/serial_data.h"

/** @brief Initialize the motors module and driver **/
int main(int argc, char **argv);

/** @brief Responds to topic to send serial data **/
void send_serial_data(const usb_serial::serial_data::ConstPtr& msg);

#endif
